From 1a3a8a440905444ef6172b4ab5d7c2e19cd40944 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 14:14:37 +0200
Subject: [PATCH 290/310] tectonic: rebuild for libressl-2.9.2.

---
 srcpkgs/tectonic/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/tectonic/template b/srcpkgs/tectonic/template
index 08ce7eb34f2..a15482f2da3 100644
--- a/srcpkgs/tectonic/template
+++ b/srcpkgs/tectonic/template
@@ -1,7 +1,7 @@
 # Template file for 'tectonic'
 pkgname=tectonic
 version=0.1.11
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config"
 makedepends="harfbuzz-devel libressl-devel"
@@ -13,6 +13,11 @@ changelog="https://raw.githubusercontent.com/tectonic-typesetting/tectonic/maste
 distfiles="https://github.com/tectonic-typesetting/${pkgname}/archive/v${version}.tar.gz"
 checksum=e700dc691dfd092adfe098b716992136343ddfac5eaabb1e8cfae4e63f8454c7
 
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}
+
 post_install() {
 	vlicense LICENSE
 }

